aboutsummaryrefslogtreecommitdiffstats
path: root/tests/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'tests/Makefile')
-rw-r--r--tests/Makefile6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 434819c..99e27ff 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -83,9 +83,9 @@ run_unittests: decode_unittests encode_unittests test_cxxcompile test_encode1 te
./test_missing_fields
test_options: options.pb.h options.expected
- for p in $$(grep . options.expected); do \
- if ! grep -qF "$$p" $<; then \
- echo Expected: $$p; \
+ cat options.expected | while read -r p; do \
+ if ! grep -q "$$p" $<; then \
+ echo Expected: "$$p"; \
exit 1; \
fi \
done